GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/hppa-obsd-tdep.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "regcache.h"`
`#include "regset.h"`
`#include "hppa-tdep.h"`
`#include "hppa-bsd-tdep.h"`

Go to the source code of this file.

## Macros
#define | HPPAOBSD_SIZEOF_GREGS (34 * 4) /* OpenBSD 5.1 and earlier. */
#define | HPPANBSD_SIZEOF_GREGS (46 * 4) /* NetBSD and OpenBSD 5.2 and later. */
#define | HPPAOBSD_SIZEOF_FPREGS (32 * 8)

## Functions
static void | hppaobsd_supply_gregset (const struct regset *regset, struct regcache *regcache, int regnum, const void *gregs, size_t len)
static void | hppaobsd_supply_fpregset (const struct regset *regset, struct regcache *regcache, int regnum, const void *fpregs, size_t len)
static void | hppaobsd_iterate_over_regset_sections (struct gdbarch *gdbarch, iterate_over_regset_sections_cb *cb, void *cb_data, const struct regcache *regcache)
static void | hppaobsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_hppabsd_tdep (void)

## Variables
static const struct regset | hppaobsd_gregset
static const struct regset | hppaobsd_fpregset

## Macro Definition Documentation

## ◆ HPPANBSD_SIZEOF_GREGS

#define HPPANBSD_SIZEOF_GREGS (46 * 4) /* NetBSD and OpenBSD 5.2 and later. */

Definition at line 32 of file hppa-obsd-tdep.c.

Referenced by hppaobsd_supply_gregset().

## ◆ HPPAOBSD_SIZEOF_FPREGS

#define HPPAOBSD_SIZEOF_FPREGS (32 * 8)

Definition at line 35 of file hppa-obsd-tdep.c.

Referenced by hppaobsd_iterate_over_regset_sections(), and hppaobsd_supply_fpregset().

## ◆ HPPAOBSD_SIZEOF_GREGS

#define HPPAOBSD_SIZEOF_GREGS (34 * 4) /* OpenBSD 5.1 and earlier. */

Definition at line 31 of file hppa-obsd-tdep.c.

Referenced by hppaobsd_iterate_over_regset_sections(), and hppaobsd_supply_gregset().

## Function Documentation

## ◆ _initialize_hppabsd_tdep()

void _initialize_hppabsd_tdep | ( | void |  | ) |

Definition at line 169 of file hppa-obsd-tdep.c.

References GDB_OSABI_OPENBSD, gdbarch_register_osabi(), and hppaobsd_init_abi().

## ◆ hppaobsd_init_abi()

static void hppaobsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 158 of file hppa-obsd-tdep.c.

References hppabsd_init_abi(), hppaobsd_iterate_over_regset_sections(), and set_gdbarch_iterate_over_regset_sections().

Referenced by _initialize_hppabsd_tdep().

## ◆ hppaobsd_iterate_over_regset_sections()

static void hppaobsd_iterate_over_regset_sections | ( | struct gdbarch * | gdbarch,
|  | iterate_over_regset_sections_cb * | cb,
|  | void * | cb_data,
|  | const struct regcache * | regcache
| ) |  |
| static

Definition at line 147 of file hppa-obsd-tdep.c.

References hppaobsd_fpregset, hppaobsd_gregset, HPPAOBSD_SIZEOF_FPREGS, and HPPAOBSD_SIZEOF_GREGS.

Referenced by hppaobsd_init_abi().

## ◆ hppaobsd_supply_fpregset()

static void hppaobsd_supply_fpregset | ( | const struct regset * | regset,
|  | struct regcache * | regcache,
|  | int | regnum,
|  | const void * | fpregs,
|  | size_t | len
| ) |  |
| static

Definition at line 112 of file hppa-obsd-tdep.c.

References gdb_assert, HPPA_FP0_REGNUM, HPPA_FP31R_REGNUM, HPPAOBSD_SIZEOF_FPREGS, regcache_raw_supply(), and regnum.

## ◆ hppaobsd_supply_gregset()

static void hppaobsd_supply_gregset | ( | const struct regset * | regset,
|  | struct regcache * | regcache,
|  | int | regnum,
|  | const void * | gregs,
|  | size_t | len
| ) |  |
| static

Definition at line 42 of file hppa-obsd-tdep.c.

References gdb_assert, HPPA_CR26_REGNUM, HPPA_CR27_REGNUM, HPPA_IPSW_REGNUM, HPPA_PCOQ_HEAD_REGNUM, HPPA_PCOQ_TAIL_REGNUM, HPPA_PCSQ_HEAD_REGNUM, HPPA_PCSQ_TAIL_REGNUM, HPPA_R0_REGNUM, HPPA_R1_REGNUM, HPPA_R31_REGNUM, HPPA_SAR_REGNUM, HPPA_SR0_REGNUM, HPPA_SR1_REGNUM, HPPA_SR2_REGNUM, HPPA_SR3_REGNUM, HPPA_SR4_REGNUM, HPPA_SR5_REGNUM, HPPA_SR6_REGNUM, HPPA_SR7_REGNUM, HPPANBSD_SIZEOF_GREGS, HPPAOBSD_SIZEOF_GREGS, offset, regcache_raw_supply(), and regnum.

## Variable Documentation

## ◆ hppaobsd_fpregset

const struct regset hppaobsd_fpregset
| static

Initial value:
=
{
NULL,
hppaobsd_supply_fpregset
}
hppaobsd_supply_fpregset
static void hppaobsd_supply_fpregset(const struct regset *regset, struct regcache *regcache, int regnum, const void *fpregs, size_t len)
Definition: hppa-obsd-tdep.c:112

Definition at line 138 of file hppa-obsd-tdep.c.

Referenced by hppaobsd_iterate_over_regset_sections().

## ◆ hppaobsd_gregset

const struct regset hppaobsd_gregset
| static

Initial value:
=
{
NULL,
hppaobsd_supply_gregset,
NULL,
REGSET_VARIABLE_SIZE
}
hppaobsd_supply_gregset
static void hppaobsd_supply_gregset(const struct regset *regset, struct regcache *regcache, int regnum, const void *gregs, size_t len)
Definition: hppa-obsd-tdep.c:42
REGSET_VARIABLE_SIZE
#define REGSET_VARIABLE_SIZE
Definition: regset.h:52

Definition at line 130 of file hppa-obsd-tdep.c.

Referenced by hppaobsd_iterate_over_regset_sections().